| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::BookmarkNode Class Reference
Inheritance diagram for Digikam::BookmarkNode:

## Public Types
enum | Type { Root , Folder , Bookmark , Separator , RootFolder }

## Public Member Functions
| BookmarkNode (Type type=Root, BookmarkNode *const parent=nullptr)
void | add (BookmarkNode *const child, int offset=-1)
QList< BookmarkNode * > | children () const
bool | operator== (const BookmarkNode &other) const
BookmarkNode * | parent () const
void | remove (BookmarkNode *const child)
void | setType (Type type)
Type | type () const

## Public Attributes
QDateTime | dateAdded
QString | desc
bool | expanded
QString | title
QString | url